Bug 122412 - Incorrect use of bool and boolean in JPEGImageDecoder.cpp
Summary: Incorrect use of bool and boolean in JPEGImageDecoder.cpp
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Linux
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-06 07:33 PDT by Maurice van der Pot
Modified: 2014-03-31 03:21 PDT (History)
6 users (show)

See Also:


Attachments
Fixes mixed use of booleans in JPEGImageDecoder.cpp (1.65 KB, patch)
2013-10-06 08:15 PDT, Maurice van der Pot
no flags Details | Formatted Diff | Diff
Same patch as before, but including changelog entry and based on trunk (2.37 KB, patch)
2014-02-02 11:05 PST, Maurice van der Pot
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Maurice van der Pot 2013-10-06 07:33:01 PDT
webkit-gtk is using both the bool built-in type and the boolean type defined by libjpeg. In some cases built-in values false/true are used where a boolean is expected. The patch I'll attach in a moment fixes this problem by using TRUE/FALSE (defined by libjpeg) instead.
Comment 1 Maurice van der Pot 2013-10-06 08:15:43 PDT
Created attachment 213513 [details]
Fixes mixed use of booleans in JPEGImageDecoder.cpp

The attached patch fixes several compilation errors when compiling with libjpeg-9 installed.

One example of those errors:
Source/WebCore/platform/image-decoders/jpeg/JPEGImageDecoder.cpp:345:47: error: cannot convert 'bool' to 'boolean' for argument '2' to 'int jpeg_read_header(j_decompress_ptr, boolean)'
Comment 2 Zan Dobersek 2013-10-08 00:22:26 PDT
The fix looks OK, but the patch still needs to be applied on trunk and is missing the ChangeLog entry. The required steps are outlined at http://www.webkit.org/coding/contributing.html.
Comment 3 Pacho Ramos 2014-02-02 06:03:27 PST
Any news on this?
Comment 4 Maurice van der Pot 2014-02-02 11:05:47 PST
Created attachment 222927 [details]
Same patch as before, but including changelog entry and based on trunk
Comment 5 Pacho Ramos 2014-03-23 08:38:29 PDT
ping! Maybe would be interesting to have it fixed for next major version :/
Comment 6 Zan Dobersek 2014-03-23 12:59:51 PDT
Comment on attachment 222927 [details]
Same patch as before, but including changelog entry and based on trunk

Flipping the review flag.
Comment 7 WebKit Commit Bot 2014-03-31 03:21:53 PDT
Comment on attachment 222927 [details]
Same patch as before, but including changelog entry and based on trunk

Clearing flags on attachment: 222927

Committed r166490: <http://trac.webkit.org/changeset/166490>
Comment 8 WebKit Commit Bot 2014-03-31 03:21:57 PDT
All reviewed patches have been landed.  Closing bug.